Bug 976750 - Disabling NFS causes E level errors in nfs.log.
Disabling NFS causes E level errors in nfs.log.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On: 919209
Blocks: 1095330
  Show dependency treegraph
 
Reported: 2013-06-21 07:17 EDT by Rajesh
Modified: 2016-02-17 19:03 EST (History)
14 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 919209
: 1095330 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:32:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-06-21 07:19:08 EDT
REVIEW: http://review.gluster.org/5245 (nfs: exit when all volumes are disabled) posted (#1) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 2 Kaleb KEITHLEY 2013-06-24 13:56:08 EDT
*** Bug 977497 has been marked as a duplicate of this bug. ***
Comment 3 Anand Avati 2013-06-25 03:30:08 EDT
REVIEW: http://review.gluster.org/5245 (nfs: exit when all volumes are disabled) posted (#2) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 4 Anand Avati 2013-06-28 03:08:08 EDT
REVIEW: http://review.gluster.org/5245 (nfs: exit when all volumes are disabled) posted (#3) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 5 Anand Avati 2013-06-28 05:44:22 EDT
COMMIT: http://review.gluster.org/5245 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit fdc83183263e04bee56672e9d9922cc9457146cb
Author: Rajesh Amaravathi <rajesh@redhat.com>
Date:   Fri Jun 21 14:58:23 2013 +0530

    nfs: exit when all volumes are disabled
    
    Instead of triggering 4-5 error logs, when nfs is
    disabled for all volumes, exit the process.
    
    Change-Id: Ib286f143c4f74ba22f502aca0e7dcd0907db6563
    BUG: 976750
    Signed-off-by: Rajesh Amaravathi <rajesh@redhat.com>
    Reviewed-on: http://review.gluster.org/5245
    Reviewed-by: Santosh Pradhan <spradhan@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 8 Tiziano Müller 2013-08-07 08:09:11 EDT
can you please add that to release-3.4 as well?
Comment 9 Vivek Agarwal 2013-08-08 04:31:03 EDT
We plan to add this to the 3.4.1 release. Hope that helps.
Comment 10 JYundt 2013-12-08 17:15:35 EST
this problem still seems to exist in 3.4.1:

[root@glusterhost1 ~]# glusterfs -V
glusterfs 3.4.1 built on Oct 28 2013 11:01:57
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2013 Red Hat, Inc. <http://www.redhat.com/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),
in all cases as published by the Free Software Foundation.
[root@glusterhost1 ~]# gluster volume info
 
Volume Name: kvmimages
Type: Replicate
Volume ID: 43a1d032-5339-42e0-b20f-690600c810ce
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: glusterhost1:/gluster/kvmimages
Brick2: glusterhost2:/gluster/kvmimages1
Options Reconfigured:
nfs.disable: on
performance.open-behind: off
server.allow-insecure: on
[root@glusterhost1 ~]# tail /var/log/glusterfs/etc-glusterfs-glusterd.vol.log
[2013-12-08 22:12:41.760209] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2013-12-08 22:12:44.760561] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2013-12-08 22:12:46.870070] I [glusterd-handler.c:1007:__glusterd_handle_cli_get_volume] 0-glusterd: Received get vol req
[2013-12-08 22:12:46.870793] I [glusterd-handler.c:1007:__glusterd_handle_cli_get_volume] 0-glusterd: Received get vol req
[2013-12-08 22:12:47.760905] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2013-12-08 22:12:50.761243] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2013-12-08 22:12:53.761583] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2013-12-08 22:12:56.761933] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2013-12-08 22:12:59.762272] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2013-12-08 22:13:02.762613] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[root@glusterhost1 ~]#
Comment 11 David Fix 2014-01-13 13:53:06 EST
I can verify this still occurs in 3.4.1 as well after turning off NFS:

[root@glu05 ~]# rpm -qa | grep gluster
glusterfs-rdma-3.4.1-3.el6.x86_64
glusterfs-fuse-3.4.1-3.el6.x86_64
glusterfs-cli-3.4.1-3.el6.x86_64
glusterfs-libs-3.4.1-3.el6.x86_64
glusterfs-server-3.4.1-3.el6.x86_64
glusterfs-3.4.1-3.el6.x86_64

[root@glu05 ~]# tail /var/log/glusterfs/etc-glusterfs-glusterd.vol.log
[2014-01-13 18:52:10.180054] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:13.180403] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:16.180779] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:19.181142] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:22.181536] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:25.181908] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:28.182282] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:31.182636] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:34.182976] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-01-13 18:52:37.183358] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
Comment 12 Sebastian Thomae 2014-05-07 02:46:22 EDT
I can verify this still occurs in 3.4.2 as well after turning off NFS:

root# eix -c gluster
[I] sys-cluster/glusterfs (3.4.2-r1@07.04.2014): GlusterFS is a powerful network/cluster filesystemroot# tail /var/log/glusterfs/etc-glusterfs-glusterd.vol.log
[2014-05-07 06:45:35.208797] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:45:38.209088] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:45:41.209461] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:45:44.209760] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:45:47.210082] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:45:50.210399] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:45:53.210720] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:45:56.211062] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:45:59.211379] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
[2014-05-07 06:46:02.211716] E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)
Comment 13 Peter B. 2015-03-24 10:09:59 EDT
I know this is already old, but I also encountered this on our production setup, running v3.4.6.

But the errors disappear when I re-enable nfs support:
"$ gluster volume set dlp-storage nfs.disable off"

Note You need to log in before you can comment on or make changes to this bug.